# 예약 게시물 목록 조회

표준 URL: https://sosoapi.ai/ko/docs/api/studio-api-scheduled-posts-list

계약: sha256:563d2d581da0ad29

Workspace의 예약 게시물을 프로젝트, 상태(scheduled, publishing, published, failed, expired, needs_reschedule, cancelled, deleted), 기간으로 필터링하여 커서 페이지 단위로 조회합니다.

POST /studio-api/scheduled-posts/list

## 인증 및 권한

- **허용 자격 증명 유형:** user_session, delegated_oauth, personal_access_token

- **위임된 기능:** agent:operate

- **최소 Workspace 역할:** viewer

- **접근 범위:** 이 사용자에게 접근 권한이 있는 리소스

- **모든 Workspace 동의 필요:** 아니요

- **상태 변경:** 아니요

- **작업 완료 시:** synchronous_http_response

토큰은 소유자의 권한만 사용할 수 있습니다. 각 요청은 Workspace 멤버십, 리소스 소유권, 선택 Workspace, 부여 기능을 확인합니다. core와 full 프로필은 표시 도구를 바꾸며 접근 권한은 부여하지 않습니다.

## 요청 필드

```json
{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "workspace_id": {
      "type": "string",
      "format": "uuid",
      "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
    },
    "project_id": {
      "type": "string",
      "format": "uuid",
      "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
    },
    "status": {
      "type": "string",
      "enum": [
        "scheduled",
        "publishing",
        "published",
        "failed",
        "expired",
        "needs_reschedule",
        "cancelled",
        "deleted"
      ]
    },
    "scheduled_from": {
      "type": "string",
      "format": "date-time",
      "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
    },
    "scheduled_to": {
      "type": "string",
      "format": "date-time",
      "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
    },
    "limit": {
      "default": 50,
      "type": "integer",
      "minimum": 1,
      "maximum": 200
    },
    "cursor": {
      "type": "object",
      "properties": {
        "scheduled_at": {
          "type": "string",
          "format": "date-time",
          "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
        },
        "id": {
          "type": "string",
          "pattern": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
        }
      },
      "required": [
        "scheduled_at",
        "id"
      ],
      "additionalProperties": false
    }
  },
  "required": [
    "workspace_id"
  ],
  "additionalProperties": false
}
```

## 응답 및 완료

성공 HTTP 상태: 200

HTTP 성공 응답은 완료가 아닌 접수를 뜻할 수 있습니다. 백그라운드 작업은 반환 ID를 저장하고 완료까지 같은 작업을 확인하세요. 예약 또는 접수 게시물은 플랫폼이 확인해야 게시 완료입니다. 클라이언트 시간 초과로 결과를 판단할 수 없습니다.

```json
{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "posts": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "pattern": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
          },
          "workspace_id": {
            "type": "string",
            "format": "uuid",
            "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
          },
          "social_account_id": {
            "anyOf": [
              {
                "type": "string",
                "format": "uuid",
                "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
              },
              {
                "type": "null"
              }
            ]
          },
          "platform": {
            "type": "string",
            "enum": [
              "instagram",
              "threads",
              "facebook",
              "youtube",
              "x"
            ]
          },
          "destination": {
            "type": "object",
            "properties": {
              "social_account_id": {
                "anyOf": [
                  {
                    "type": "string",
                    "format": "uuid",
                    "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                  },
                  {
                    "type": "null"
                  }
                ]
              },
              "platform": {
                "type": "string",
                "enum": [
                  "instagram",
                  "threads",
                  "facebook",
                  "youtube",
                  "x"
                ]
              },
              "platform_user_id": {
                "anyOf": [
                  {
                    "type": "string"
                  },
                  {
                    "type": "null"
                  }
                ]
              },
              "account_label": {
                "anyOf": [
                  {
                    "type": "string"
                  },
                  {
                    "type": "null"
                  }
                ]
              }
            },
            "required": [
              "social_account_id",
              "platform",
              "platform_user_id",
              "account_label"
            ]
          },
          "caption": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ]
          },
          "hashtags": {
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "media": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "kind": {
                  "type": "string",
                  "enum": [
                    "image",
                    "video"
                  ]
                },
                "url": {
                  "type": "string",
                  "format": "uri"
                },
                "cover_url": {
                  "anyOf": [
                    {
                      "type": "string",
                      "format": "uri"
                    },
                    {
                      "type": "null"
                    }
                  ]
                },
                "cover_asset_id": {
                  "anyOf": [
                    {
                      "type": "integer",
                      "exclusiveMinimum": 0,
                      "maximum": 9007199254740991
                    },
                    {
                      "type": "null"
                    }
                  ]
                },
                "asset_id": {
                  "anyOf": [
                    {
                      "type": "integer",
                      "exclusiveMinimum": 0,
                      "maximum": 9007199254740991
                    },
                    {
                      "type": "null"
                    }
                  ]
                },
                "mime_type": {
                  "anyOf": [
                    {
                      "type": "string",
                      "minLength": 1,
                      "maxLength": 160
                    },
                    {
                      "type": "null"
                    }
                  ]
                },
                "preview_url": {
                  "description": "Temporary authorized read URL; keep url as persisted Scheduled Post media identity.",
                  "anyOf": [
                    {
                      "type": "string",
                      "format": "uri"
                    },
                    {
                      "type": "null"
                    }
                  ]
                },
                "cover_preview_url": {
                  "description": "Temporary authorized cover read URL; keep cover_url as persisted media identity.",
                  "anyOf": [
                    {
                      "type": "string",
                      "format": "uri"
                    },
                    {
                      "type": "null"
                    }
                  ]
                },
                "preview_expires_at": {
                  "anyOf": [
                    {
                      "type": "string",
                      "format": "date-time",
                      "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
                    },
                    {
                      "type": "null"
                    }
                  ]
                }
              },
              "required": [
                "kind",
                "url"
              ]
            }
          },
          "link_url": {
            "anyOf": [
              {
                "type": "string",
                "format": "uri"
              },
              {
                "type": "null"
              }
            ]
          },
          "publish_options": {
            "type": "object",
            "properties": {
              "post_type": {
                "type": "string",
                "enum": [
                  "TEXT",
                  "LINK",
                  "IMAGE",
                  "MULTI_IMAGE",
                  "VIDEO",
                  "CAROUSEL",
                  "REELS",
                  "STORY_IMAGE",
                  "STORY_VIDEO",
                  "REPOST",
                  "SHORT"
                ]
              },
              "location_id": {
                "type": "string",
                "minLength": 1
              },
              "share_to_feed": {
                "type": "boolean"
              },
              "collaborators": {
                "maxItems": 3,
                "type": "array",
                "items": {
                  "type": "string",
                  "minLength": 1
                }
              },
              "first_comment": {
                "type": "string",
                "minLength": 1,
                "maxLength": 2200
              },
              "topic_tag": {
                "type": "string",
                "minLength": 1
              },
              "thumb_offset_ms": {
                "type": "integer",
                "minimum": 0,
                "maximum": 9007199254740991
              },
              "title": {
                "type": "string",
                "maxLength": 255
              },
              "youtube_privacy_status": {
                "type": "string",
                "enum": [
                  "private",
                  "unlisted",
                  "public"
                ]
              },
              "youtube_category_id": {
                "type": "string",
                "pattern": "^\\d+$"
              },
              "youtube_contains_synthetic_media": {
                "type": "boolean"
              },
              "description": {
                "type": "string",
                "maxLength": 5000
              },
              "category_id": {
                "type": "string",
                "pattern": "^\\d+$"
              },
              "privacy_status": {
                "type": "string",
                "enum": [
                  "private",
                  "unlisted",
                  "public"
                ]
              },
              "cancellation_mode": {
                "type": "string",
                "enum": [
                  "DELETE",
                  "UNSCHEDULE_KEEP_PRIVATE"
                ]
              },
              "tags": {
                "type": "array",
                "items": {
                  "type": "string"
                }
              },
              "default_language": {
                "type": "string"
              },
              "localizations": {
                "type": "object",
                "propertyNames": {
                  "type": "string"
                },
                "additionalProperties": {}
              },
              "license": {
                "type": "string",
                "enum": [
                  "youtube",
                  "creativeCommon"
                ]
              },
              "embeddable": {
                "type": "boolean"
              },
              "public_stats_viewable": {
                "type": "boolean"
              },
              "self_declared_made_for_kids": {
                "type": "boolean"
              },
              "contains_synthetic_media": {
                "type": "boolean"
              },
              "has_paid_product_placement": {
                "type": "boolean"
              },
              "recording_date": {
                "type": "string"
              },
              "notify_subscribers": {
                "type": "boolean"
              },
              "thumbnail_asset_id": {
                "type": "integer",
                "exclusiveMinimum": 0,
                "maximum": 9007199254740991
              },
              "surface_expectation": {
                "type": "string",
                "const": "SHORT"
              },
              "brand_partner": {
                "type": "object",
                "propertyNames": {
                  "type": "string"
                },
                "additionalProperties": {}
              },
              "cover_asset_id": {
                "type": "integer",
                "exclusiveMinimum": 0,
                "maximum": 9007199254740991
              },
              "audio_name": {
                "type": "string"
              },
              "trial_params": {
                "type": "object",
                "propertyNames": {
                  "type": "string"
                },
                "additionalProperties": {}
              },
              "is_ai_generated": {
                "type": "boolean"
              },
              "branded_content_sponsor_ids": {
                "type": "array",
                "items": {
                  "type": "string"
                }
              },
              "is_paid_partnership": {
                "type": "boolean"
              },
              "media_options": {
                "type": "array",
                "items": {
                  "type": "object",
                  "propertyNames": {
                    "type": "string"
                  },
                  "additionalProperties": {}
                }
              },
              "reply_to_id": {
                "type": "string"
              },
              "quote_post_id": {
                "type": "string"
              },
              "repost_target_id": {
                "type": "string"
              },
              "reply_control": {
                "type": "string"
              },
              "enable_reply_approvals": {
                "type": "boolean"
              },
              "link_attachment": {
                "type": "string",
                "format": "uri"
              },
              "poll_attachment": {
                "type": "object",
                "propertyNames": {
                  "type": "string"
                },
                "additionalProperties": {}
              },
              "gif_attachment": {
                "type": "object",
                "propertyNames": {
                  "type": "string"
                },
                "additionalProperties": {}
              },
              "text_attachment": {
                "type": "object",
                "propertyNames": {
                  "type": "string"
                },
                "additionalProperties": {}
              },
              "text_entities": {
                "type": "array",
                "items": {
                  "type": "object",
                  "propertyNames": {
                    "type": "string"
                  },
                  "additionalProperties": {}
                }
              },
              "is_spoiler_media": {
                "type": "boolean"
              },
              "is_ghost_post": {
                "type": "boolean"
              },
              "allowlisted_country_codes": {
                "type": "array",
                "items": {
                  "type": "string"
                }
              },
              "crossreshare_to_ig": {
                "type": "boolean"
              },
              "crossreshare_to_ig_dark_mode": {
                "type": "boolean"
              },
              "auto_publish_text": {
                "type": "boolean"
              },
              "publication_mode": {
                "type": "string",
                "enum": [
                  "PUBLISH",
                  "DRAFT"
                ]
              },
              "backdated_time": {
                "type": "number"
              },
              "backdated_time_granularity": {
                "type": "string",
                "enum": [
                  "year",
                  "month",
                  "day",
                  "hour",
                  "minute"
                ]
              },
              "place": {
                "type": "string"
              },
              "feed_targeting": {
                "type": "object",
                "propertyNames": {
                  "type": "string"
                },
                "additionalProperties": {}
              },
              "targeting": {
                "type": "object",
                "propertyNames": {
                  "type": "string"
                },
                "additionalProperties": {}
              },
              "child_attachments": {
                "type": "array",
                "items": {
                  "type": "object",
                  "propertyNames": {
                    "type": "string"
                  },
                  "additionalProperties": {}
                }
              },
              "multi_share_end_card": {
                "type": "boolean"
              },
              "multi_share_optimized": {
                "type": "boolean"
              },
              "unpublished_content_type": {
                "type": "string"
              },
              "no_story": {
                "type": "boolean"
              },
              "crossposted_video_id": {
                "type": "string"
              },
              "spherical": {
                "type": "boolean"
              }
            }
          },
          "scheduled_at": {
            "type": "string"
          },
          "display_timezone": {
            "type": "string",
            "minLength": 1,
            "maxLength": 80
          },
          "local_scheduled_at": {
            "anyOf": [
              {
                "type": "string",
                "pattern": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}(?::\\d{2}(?:\\.\\d{1,6})?)?$"
              },
              {
                "type": "null"
              }
            ]
          },
          "schedule_timezone": {
            "anyOf": [
              {
                "type": "string",
                "minLength": 1,
                "maxLength": 80
              },
              {
                "type": "null"
              }
            ]
          },
          "schedule_dst_disambiguation": {
            "anyOf": [
              {
                "type": "string",
                "enum": [
                  "exact",
                  "earlier",
                  "later"
                ]
              },
              {
                "type": "null"
              }
            ]
          },
          "schedule_intent_state": {
            "type": "string",
            "enum": [
              "verified",
              "legacy_unverified"
            ]
          },
          "expires_at": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ]
          },
          "status": {
            "type": "string",
            "enum": [
              "scheduled",
              "publishing",
              "published",
              "failed",
              "expired",
              "needs_reschedule",
              "cancelled",
              "deleted"
            ]
          },
          "version": {
            "type": "integer",
            "exclusiveMinimum": 0,
            "maximum": 9007199254740991
          },
          "automatic_retry_enabled": {
            "type": "boolean"
          },
          "delete_requested_at": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ]
          },
          "published_at": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ]
          },
          "deleted_at": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ]
          },
          "provider_post_id": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ]
          },
          "permalink": {
            "anyOf": [
              {
                "type": "string",
                "format": "uri"
              },
              {
                "type": "null"
              }
            ]
          },
          "created_at": {
            "type": "string"
          },
          "updated_at": {
            "type": "string"
          },
          "project_id": {
            "anyOf": [
              {
                "type": "string",
                "format": "uuid",
                "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
              },
              {
                "type": "null"
              }
            ]
          },
          "batch_id": {
            "anyOf": [
              {
                "type": "string",
                "format": "uuid",
                "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
              },
              {
                "type": "null"
              }
            ]
          },
          "source_ref": {
            "anyOf": [
              {
                "type": "object",
                "propertyNames": {
                  "type": "string"
                },
                "additionalProperties": {}
              },
              {
                "type": "null"
              }
            ]
          }
        },
        "required": [
          "id",
          "workspace_id",
          "social_account_id",
          "platform",
          "destination",
          "caption",
          "hashtags",
          "media",
          "publish_options",
          "scheduled_at",
          "display_timezone",
          "expires_at",
          "status",
          "version",
          "automatic_retry_enabled",
          "delete_requested_at",
          "published_at",
          "deleted_at",
          "provider_post_id",
          "permalink",
          "created_at",
          "updated_at",
          "project_id",
          "batch_id",
          "source_ref"
        ]
      }
    },
    "next_cursor": {
      "anyOf": [
        {
          "type": "object",
          "properties": {
            "scheduled_at": {
              "type": "string",
              "format": "date-time",
              "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
            },
            "id": {
              "type": "string",
              "pattern": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
            }
          },
          "required": [
            "scheduled_at",
            "id"
          ]
        },
        {
          "type": "null"
        }
      ]
    },
    "returned_count": {
      "type": "integer",
      "minimum": 0,
      "maximum": 9007199254740991
    }
  },
  "required": [
    "posts",
    "next_cursor",
    "returned_count"
  ]
}
```

## 오류 및 안전한 재시도

HTTP 상태와 응답 본문을 확인하세요. 400 검증 오류에는 ZodError가 포함될 수 있으며, 핸들러 오류는 error, message, code 필드를 사용합니다. 진단용 request_id 또는 x-request-id를 자격 증명 없이 보관하세요. 401/403 접근 오류는 재시도 전에 해결하고 429에는 Retry-After를 따르세요. 쓰기 결과가 불확실하거나 5xx를 반환하면 먼저 기존 결과를 읽으세요. 지원하는 작업에서만 멱등성 키를 재사용하세요. 재시도 동작은 작업마다 다르며 정확히 한 번 전송을 보장하지 않습니다.

## 예제

예제는 스키마로 확인한 가상 값을 사용합니다. ID를 사용 권한이 있는 값으로, 미디어를 준비된 에셋으로, 날짜를 확인된 게시 시각으로 바꾸세요. 쓰기 제출 전에 계정 적격성을 확인하세요. 이 페이지는 API 요청을 보내지 않습니다.

서버에서 SOSOAPI_ACCESS_TOKEN에 이 작업이 허용하는 자격 증명을 설정하고 브라우저 코드에 넣지 마세요. 에이전트는 sosoapi auth login으로 브라우저 로그인하며 CLI가 자격 증명을 갱신하게 하세요.

request.json

```json
{
  "workspace_id": "11111111-1111-4111-8111-111111111111"
}
```

cURL

```bash
curl --request POST \
  "https://gqeshlawtcexsapabaui.supabase.co/functions/v1/studio-api/scheduled-posts/list" \
  -H "Authorization: Bearer $SOSOAPI_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  --data-binary @request.json
```

JavaScript

```js
// Server-side JavaScript. Do not print tokens or credential-bearing responses.
const token = process.env.SOSOAPI_ACCESS_TOKEN;
if (!token) throw new Error("Set an accepted credential for this operation");
const response = await fetch("https://gqeshlawtcexsapabaui.supabase.co/functions/v1/studio-api/scheduled-posts/list", {
  method: "POST",
  headers: { "Content-Type": "application/json", Authorization: "Bearer " + token },
  body: JSON.stringify({
  "workspace_id": "11111111-1111-4111-8111-111111111111"
})
});
const result = await response.json();
// Check response.ok, the operation-specific body and completion state before continuing.
```

CLI

```bash
npx sosoapi api post /studio-api/scheduled-posts/list < request.json
```

합성 응답 예제

```json
{
  "posts": [],
  "next_cursor": null,
  "returned_count": 0
}
```

## 관련 도구 및 안내

MCP: sosoapi_list_scheduled_posts

[API 참조](https://sosoapi.ai/ko/docs/api)
